Name: iptables
Version: 1.2.11
Release: alt2

Summary: Tools for managing Linux kernel packet filtering capabilities
License: GPL
Group: System/Kernel and hardware
Url: http://www.iptables.org/
Packager: Alexey Voinov <voins@altlinux.ru>

Source: %url/files/%name-%version.tar.bz2
Source1: iptables.init
Source2: ip6tables.init
Source3: iptables.config
Source4: ip6tables.config
Source5: iptables_modules
Source6: ip6tables_modules
Patch1: %name-1.2.2-iptables-restore-crash-fix.patch
Patch3: %name-1.2.8-alt-logging.patch
Patch4: %name-1.2.9-alt-makefile.patch
Patch5: %name-1.2.9-alt-servname.patch
Patch6: %name-1.2.11-alt-ccld.patch
Patch7: %name-1.2.11-alt-freebug.patch

BuildPreReq: kernel-headers-std

%description
Iptables  is  used  to  set  up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.  Several different tables  may
be  defined.   Each  table contains a number of built-in chains and may
also contain user-defined chains.

Each chain is a list of rules which can match a set of  packets.   Each
rule specifies what to do with a packet that matches.  This is called a
`target', which may be a jump to a user-defined chain in the  same  ta-
ble.

%package ipv6
Summary: IPv6 support for iptables
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description ipv6
Ip6tables is used to set up, maintain, and inspect the tables of IPv6 packet
filter rules in the Linux kernel.  Several different tables may be defined.
Each table contains a number of built-in chains and may also contain
user-defined chains.

Each chain is a list of rules which can match a set of  packets.  Each rule
specifies what to do with a packet that matches.  This is called a `target',
which may be a jump to a user-defined chain in the same table.

%package devel
Summary: iptables development files
Group: Development/C
Requires: %name = %version-%release
Requires: %name-ipv6 = %version-%release

%description devel
Iptables  is  used  to  set  up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

This package contains development files required to build
software that operates with netfilter.

%package devel-static
Summary: iptables static development files
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Iptables  is  used  to  set  up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

This package contains static library required to build
software that operates with netfilter.

%prep
%setup -q
%patch1 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
pushd extensions
subst 's/_\(init *( *void *)\)/__attribute__((constructor)) constructor_\1/' *.c
popd

%build
make COPT_FLAGS="%optflags" PREFIX=%prefix LIBDIR=/lib \
	all experimental

%install
make install install-experimental install-devel \
	DESTDIR=$RPM_BUILD_ROOT BINDIR=/sbin MANDIR=%_mandir \
	PREFIX=%prefix LIBDIR=/lib
mkdir -p $RPM_BUILD_ROOT%_libdir/
pushd $RPM_BUILD_ROOT/lib
	for f in lib*; do
		ln -s ../../lib/$f $RPM_BUILD_ROOT%_libdir/${f%.0.0}
	done
popd
mv $RPM_BUILD_ROOT/lib/*.a $RPM_BUILD_ROOT%_libdir/

mkdir -p $RPM_BUILD_ROOT%_includedir/libiptc
install -pm644 include/*.h $RPM_BUILD_ROOT%_includedir
install -pm644 include/libiptc/*.h $RPM_BUILD_ROOT%_includedir/libiptc

install -Dpm755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/iptables
install -Dpm755 %SOURCE2 $RPM_BUILD_ROOT%_initdir/ip6tables
install -Dpm640 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/iptables
install -Dpm640 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ip6tables
install -Dpm640 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/iptables_modules
install -Dpm640 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ip6tables_modules

%files
%config(noreplace) %_sysconfdir/sysconfig/iptables
%config(noreplace) %_sysconfdir/sysconfig/iptables_modules
%doc INCOMPATIBILITIES INSTALL
%config %_initdir/iptables
/sbin/iptables*
%_man8dir/iptables*
%dir /lib/%name/
/lib/%name/libipt*
/lib/libipt*.so.*
/lib/libipq*.so.*

%files ipv6
%config(noreplace) %_sysconfdir/sysconfig/ip6tables
%config(noreplace) %_sysconfdir/sysconfig/ip6tables_modules
%config %_initdir/ip6tables
/sbin/ip6tables*
%_man8dir/ip6tables*
/lib/%name/libip6t*
/lib/libip6t*.so.*

%files devel
%_includedir/*
%_libdir/lib*.so
%_man3dir/*

%files devel-static
%_libdir/lib*.a

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post ipv6 -p %post_ldconfig
%postun ipv6 -p %postun_ldconfig

%changelog
* Wed Sep 08 2004 Alexey Voinov <voins@altlinux.ru> 1.2.11-alt2
- freebug patch added (fix for #5055)

* Tue Aug 03 2004 Alexey Voinov <voins@altlinux.ru> 1.2.11-alt1
- new version (1.2.11)
- numeric patch removed
- ccld patch updated
- -n added to service iptables status.

* Thu May 13 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt6
- fixed requirements between subpackages

* Wed May 05 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt5
- replace all references to ld with gcc to prevent problems with
  new glibc. (s/$(LD)/$(CC)/g) [ccld patch]
- replace obsolete _init with __...__((constructor))s

* Tue Mar 23 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt4
- servname patch added. it allows service names as port numbers in
 --to-ports option [#1264]

* Mon Mar 22 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt3
- fixed done message when starting
- libip?tables.so is now explicitly linked with libdl and libiptc

* Fri Jan 30 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt2
- fixed initscript a little (it reports proper status on failure)
- possibiblity to filter iptables config added

* Tue Nov 11 2003 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt1
- new version (1.2.9)

* Thu Aug 28 2003 Alexey Voinov <voins@altlinux.ru> 1.2.8-alt3
- logging patch disabled [it caused sigsegv]
- libiptables and libip6tables was made shared
- post/postun scripts added
- more spec clean up

* Mon Aug 25 2003 Alexey Voinov <voins@altlinux.ru> 1.2.8-alt2
- spec clean up
- devel and devel-static packages added
- deps on kernel removed
- all extenstion modules moved from /usr/lib to /lib

* Thu Aug 14 2003 Peter Novodvorsky <nidd@altlinux.com> 1.2.8-alt1
- added logging patch.
- 1.2.8

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7a-alt1
- 1.2.7a
- Rebuilt in new environment
- Added package iptables-ipv6
- Some spec cleanup
- Completely upgraded initscript's
- Fixed provides

* Tue Apr 16 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.6a-alt1
- 1.2.6a
- Applied patch-o-matic userspace patches
- Fixed numeric bug
- Rebuilt with new kernel

* Mon Mar 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt2
- Rebuilt with new kernel
- Added missed modules
- Fixed detection of NETLINK module

* Thu Jan 24 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt1
- 1.2.5

* Fri Nov 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.4-alt1
- 1.2.4
- Fixed iptables-restore

* Thu Oct 11 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt2
- Fixed iptables.init scripts

* Tue Sep 4 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt1
- New version 1.2.3

* Thu Jun 7 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.2 alt1
- New version 1.2.2

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.1 ipl1
- New version 1.2.1
- init script
- tools iptables-save | iptables-restore

* Fri Feb 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2-ipl1mdk
- First Build for RE

* Tue Jan 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-2mdk
- really build it on the alpha with egcs.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-1mdk
- shamelessly rip a rpm from Red Hat.
- update to 1.1.2.
- build on alpha as well.

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- build everywhere

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move iptables to /sbin.
- excludearch alpha for now, not building there because of compiler bug(?)

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- don't obsolete ipchains either
- update to 1.1.0

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- remove explicit kernel requirement

* Tue May  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial package
